# -*- encoding: utf-8 -*-
# stub: upr 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "upr".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["upr hackers".freeze]
  s.date = "2014-05-03"
  s.description = "upr is Rack middleware that allows browser-side upload progress\nmonitoring.  It is based on (and should be client-side compatible with)\nseveral upload progress modules including ones used by leading web\nservers.  It allows any Moneta backing store in addition to DRb.  There\nis also a packaged example for using an ActiveRecord model for Rails.".freeze
  s.email = "upr@librelist.com".freeze
  s.executables = ["upr-drb".freeze]
  s.extra_rdoc_files = ["ChangeLog".freeze, "LICENSE".freeze, "NEWS".freeze, "README".freeze, "lib/upr.rb".freeze, "lib/upr/input_wrapper.rb".freeze, "lib/upr/json.rb".freeze, "lib/upr/monitor.rb".freeze, "lib/upr/params.rb".freeze, "lib/upr/status.rb".freeze, "lib/upr/status_methods.rb".freeze]
  s.files = [".document".freeze, ".gitignore".freeze, ".manifest".freeze, "COPYING".freeze, "ChangeLog".freeze, "GIT-VERSION-FILE".freeze, "GIT-VERSION-GEN".freeze, "GNUmakefile".freeze, "LICENSE".freeze, "NEWS".freeze, "README".freeze, "Rakefile".freeze, "bin/upr-drb".freeze, "examples/rails_app-2.3.4/Rakefile".freeze, "examples/rails_app-2.3.4/app/controllers/application_controller.rb".freeze, "examples/rails_app-2.3.4/app/controllers/files_controller.rb".freeze, "examples/rails_app-2.3.4/app/controllers/progress_controller.rb".freeze, "examples/rails_app-2.3.4/app/helpers/application_helper.rb".freeze, "examples/rails_app-2.3.4/app/models/upr_status.rb".freeze, "examples/rails_app-2.3.4/app/views/files/index.html.erb".freeze, "examples/rails_app-2.3.4/app/views/files/new.html.erb".freeze, "examples/rails_app-2.3.4/app/views/files/pull.html.erb".freeze, "examples/rails_app-2.3.4/config.ru".freeze, "examples/rails_app-2.3.4/config/boot.rb".freeze, "examples/rails_app-2.3.4/config/database.yml".freeze, "examples/rails_app-2.3.4/config/environment.rb".freeze, "examples/rails_app-2.3.4/config/environments/development.rb".freeze, "examples/rails_app-2.3.4/config/environments/production.rb".freeze, "examples/rails_app-2.3.4/config/environments/test.rb".freeze, "examples/rails_app-2.3.4/config/initializers/new_rails_defaults.rb".freeze, "examples/rails_app-2.3.4/config/initializers/ruby_19_compat.rb".freeze, "examples/rails_app-2.3.4/config/routes.rb".freeze, "examples/rails_app-2.3.4/db/.gitignore".freeze, "examples/rails_app-2.3.4/db/migrate/19700000000000_add_upr_status.rb".freeze, "examples/rails_app-2.3.4/db/seeds.rb".freeze, "examples/rails_app-2.3.4/lib/tasks/upr_status.rake".freeze, "examples/rails_app-2.3.4/log/.gitignore".freeze, "examples/rails_app-2.3.4/public/404.html".freeze, "examples/rails_app-2.3.4/public/422.html".freeze, "examples/rails_app-2.3.4/public/500.html".freeze, "examples/rails_app-2.3.4/public/favicon.ico".freeze, "examples/rails_app-2.3.4/public/javascripts/ajax_pull/ajax_pull.js".freeze, "examples/rails_app-2.3.4/public/javascripts/ajax_pull/prototype-1_5_1.js".freeze, "examples/rails_app-2.3.4/public/javascripts/ajax_pull/upload_progress.js".freeze, "examples/rails_app-2.3.4/public/javascripts/application.js".freeze, "examples/rails_app-2.3.4/public/javascripts/controls.js".freeze, "examples/rails_app-2.3.4/public/javascripts/dragdrop.js".freeze, "examples/rails_app-2.3.4/public/javascripts/effects.js".freeze, "examples/rails_app-2.3.4/public/javascripts/jquery.js".freeze, "examples/rails_app-2.3.4/public/javascripts/jquery.uploadProgress.js".freeze, "examples/rails_app-2.3.4/public/javascripts/prototype.js".freeze, "examples/rails_app-2.3.4/public/javascripts/upr.js".freeze, "examples/rails_app-2.3.4/public/robots.txt".freeze, "examples/rails_app-2.3.4/public/stylesheets/site.css".freeze, "examples/rails_app-2.3.4/rainbows_config.rb".freeze, "examples/rails_app-2.3.4/test/fixtures/upr_statuses.yml".freeze, "examples/rails_app-2.3.4/test/test_helper.rb".freeze, "examples/rails_app-2.3.4/test/unit/upr_status_test.rb".freeze, "lib/upr.rb".freeze, "lib/upr/input_wrapper.rb".freeze, "lib/upr/json.rb".freeze, "lib/upr/monitor.rb".freeze, "lib/upr/params.rb".freeze, "lib/upr/status.rb".freeze, "lib/upr/status_methods.rb".freeze, "local.mk.sample".freeze, "setup.rb".freeze, "test/test_monitor.rb".freeze, "upr.gemspec".freeze]
  s.homepage = "http://upr.bogomips.org/".freeze
  s.rdoc_options = ["-Na".freeze, "-t".freeze, "upr - Upload Progress for Rack".freeze]
  s.rubyforge_project = "rainbows".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Upload Progress for Rack".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<moneta>.freeze, ["~> 0.7"])
      s.add_runtime_dependency(%q<rack>.freeze, [">= 0"])
    else
      s.add_dependency(%q<moneta>.freeze, ["~> 0.7"])
      s.add_dependency(%q<rack>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<moneta>.freeze, ["~> 0.7"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
  end
end
